GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::algorithm::CentroidPoint Class Reference

`#include <CentroidPoint.h>`

## Public Member Functions
void | add (const geom::Geometry *geom)
void | add (const geom::Coordinate *pt)
geom::Coordinate * | getCentroid () const
bool | getCentroid (geom::Coordinate &ret) const
| Return false if centroid could not be computed.

## Detailed Description

Deprecated:
  use Centroid instead

## Member Function Documentation

void geos::algorithm::CentroidPoint::add | ( | const geom::Geometry * | geom | ) |

Adds the point(s) defined by a Geometry to the centroid total. If the geometry is not of dimension 0 it does not contribute to the centroid.

Parameters

  geom | the geometry to add

The documentation for this class was generated from the following file:

- CentroidPoint.h